POST api/sticker/upsert
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "747dd8fd-269b-4b1b-90ee-d458d5b82316",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "8f028905-0e44-4ca6-a345-ef8620d8ee79",
"contractItem_ID": "74c7be10-a8d3-4c03-be7e-f58d0506313d",
"departement_ID": "e83e007f-44b4-4b70-8bd2-7d063a46495e",
"departmentItem_ID": "c3d1e8c0-9292-471b-83a5-f82e20fa059e",
"iD": "7416298c-ec4b-419d-801c-62fd534fc16c",
"site_ID": "7dbd36f5-8a3a-4e1c-a6a6-aa51a19674f0",
"siteCustomer_ID": "34832c6b-ebc0-435e-9a27-f16d4152d3ab",
"sticker_ID": "4f210383-912a-489c-ad54-adef799b0463",
"garment_ID": "379642aa-c096-483d-8c36-4f8f369edcd2"
},
{
"active": true,
"contract_ID": "8f028905-0e44-4ca6-a345-ef8620d8ee79",
"contractItem_ID": "74c7be10-a8d3-4c03-be7e-f58d0506313d",
"departement_ID": "e83e007f-44b4-4b70-8bd2-7d063a46495e",
"departmentItem_ID": "c3d1e8c0-9292-471b-83a5-f82e20fa059e",
"iD": "7416298c-ec4b-419d-801c-62fd534fc16c",
"site_ID": "7dbd36f5-8a3a-4e1c-a6a6-aa51a19674f0",
"siteCustomer_ID": "34832c6b-ebc0-435e-9a27-f16d4152d3ab",
"sticker_ID": "4f210383-912a-489c-ad54-adef799b0463",
"garment_ID": "379642aa-c096-483d-8c36-4f8f369edcd2"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "2abef8f4-c9bb-4264-91cf-43cf99554e6f",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "7799649f-e936-49f1-8ca2-2d163231fade",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "73cf846d-8b51-4e74-80a4-20d0601380d4",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "ca790ce9-f7d6-4d13-932d-c5d74d42c9a9",
"stickerField_ID": "65c1ec8d-672e-4049-93f2-cb66592a2460",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "2abef8f4-c9bb-4264-91cf-43cf99554e6f",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "7799649f-e936-49f1-8ca2-2d163231fade",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "73cf846d-8b51-4e74-80a4-20d0601380d4",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "ca790ce9-f7d6-4d13-932d-c5d74d42c9a9",
"stickerField_ID": "65c1ec8d-672e-4049-93f2-cb66592a2460",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "35402cfd-f9c0-4906-8d40-045925401749",
"stickerType_ID": "d44b1656-0b3c-4900-9d0f-1451d75f20fe",
"stickerRelation_IDs": [
"f531875c-5f8a-4182-890a-80805c0073af",
"71a842ca-dd78-44bf-a339-b38d8d63b8f9"
],
"site_ID": "efb501d1-de31-4cc3-81c1-829866ce4a57"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"2ea6c446-e2ae-4c77-a13b-0f274cd7bb88"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">2ea6c446-e2ae-4c77-a13b-0f274cd7bb88</guid>